Bug 87026 - Move accessibility relations to .ui files
Summary: Move accessibility relations to .ui files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium trivial
Assignee: Muhammet Kara
QA Contact:
URL:
Whiteboard: target:5.2.0 target:5.3.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-12-05 08:54 UTC by Katarina Behrens
Modified: 2017-02-14 08:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens 2014-12-05 08:54:55 UTC
Now that all LibO dialogs have been migrated to .ui format, accessibility relations no longer need to be defined in C++ code and can be moved to .ui files too. This needs a bit of code-reading skills and a bit of Glade-fu

Search for code such as:

foo->SetAccessibleName( bar)
foo->SetAccessibleRelationLabeledBy( bar )
foo->SetAccessibleRelationLabelFor( bar )
foo->SetAccessibleRelationMemberOf( bar )

and replace it in Glade by corresponding widget properties.

Sample commit: http://cgit.freedesktop.org/libreoffice/core/commit/?id=759ae3c367f63ee006cfa8f4239ddcc1302b5879
Comment 1 Robinson Tryon (qubit) 2015-12-10 11:40:57 UTC Comment hidden (obsolete)
Comment 2 Robinson Tryon (qubit) 2016-02-18 14:51:36 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2016-02-23 09:26:14 UTC
melikeyurtoglu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a9cbb7a5fa792af32958b6bfc2c386c4d27772a

tdf#87026 Move accessibility relations to .ui files

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-05-25 15:45:57 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b298fb67ade536679678768c55eeb8468b6cf33

tdf#87026: Move accessibility relations to .ui file for LinePropertyPanelBase

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-05-27 09:12:52 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a06806a8d7f541855a90a1eab8f4b7c6539ab63

Move accessibility relations to .ui files tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-05-30 21:42:55 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7834317c7c925e9096b464c5f5f3e7f76e3fda3

Move accessibility relations to .ui files tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-05-31 14:40:32 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f96041798bfc3db27f23015f6799ad6e299b8fcf

Remove self-labeling SetAccessibleRelationLabeledBy calls tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-06-02 10:38:16 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3498fd9fe905c2021fe1298769c8e2025c2d6f39

Remove SetAccessibleRelationLabeledBy calls tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-06-07 08:13:23 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71bdc1d936f7930a176f760d7148a152dd9cb3e4

Remove unnecessary strings in bmpmask dialog tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-06-07 08:28:23 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=837c1e2e9cc6886e74e4f32d6296d07daf23a2e1

Move accessibility relations to .ui files, Part 7: tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-06-10 13:55:58 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67868423378130c0e88eed99a6921e81fe94352c

Move accessibility relations to .ui files, Part 8: tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 jani 2016-06-14 09:53:05 UTC
Seems solved
Comment 13 Commit Notification 2016-06-15 20:27:04 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a00757e75b7d55239f97c1ca9e50c68252ff227f

Move accessibility relations to .ui files, Part 9: tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Muhammet Kara 2016-06-20 14:19:55 UTC
As of this patch, all occurrences of SetAccessibleName will have been moved to .ui files:https://gerrit.libreoffice.org/#/c/26520/

Now, I am going to check the other accessible relations. (Most of them should have also been moved to .ui files so far.)
Comment 15 Muhammet Kara 2016-06-20 14:20:28 UTC
Setting status back to assigned. Sorry for the noise.
Comment 16 Commit Notification 2016-06-27 20:25:35 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ea96b1a2f5cf523af451b41915bbafd81a95a2c

Move accessibility relations to .ui files, Part 11: tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2016-06-27 20:26:58 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6db7f77386e4e3a8c3ec97be4eb42c74556141f

Move AccessibleNames to .ui file for WrapPropertyPanel tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2016-06-27 20:29:45 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04136c95c5be30004e627f2866fe6ecea60a04f1

Move accessibility relations to .ui files, Part 10: tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2016-06-29 09:19:02 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=541fcc978d69e6ba10e4005fd6e38658100bc112

Move accessibility relations to .ui files, Part 12: tdf#87026

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Muhammet Kara 2016-06-29 10:47:28 UTC
I believe all accessible relations have now been moved to .ui files other than a few exceptions.